searchData={"items":[{"type":"module","title":"Habanero.HotDeployController","doc":"","ref":"Habanero.HotDeployController.html"},{"type":"function","title":"Habanero.HotDeployController.update/2","doc":"","ref":"Habanero.HotDeployController.html#update/2"},{"type":"module","title":"Habenero.Watcher","doc":"","ref":"Habenero.Watcher.html"},{"type":"function","title":"Habenero.Watcher.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Habenero.Watcher.html#child_spec/1"},{"type":"function","title":"Habenero.Watcher.init/1","doc":"","ref":"Habenero.Watcher.html#init/1"},{"type":"function","title":"Habenero.Watcher.start_link/1","doc":"","ref":"Habenero.Watcher.html#start_link/1"},{"type":"extras","title":"Getting started","doc":"# Getting started\n\n- Install [`habanero`](https://hex.pm/package/habanero)\n- Configuration: set `HABANERO_SECRET` to the same random value (e.g. `mix phx.gen.secret`) locally and in your deployment. Then in `config/dev.exs`:\n\n      config :habanero,\n        deploy_url: $DEPLOY_URL,\n        deploy_endpoint: \"/habanero_deploy\"\n\n  And in `config/runtime.exs`:\n\n      config :habanero,\n        secret: System.get_env(\"HABANERO_SECRET\")\n\n- Add the 🌶️ hot deploy 🌶️ route to your app\n\n        scope \"/\" do\n          pipe_through :api\n          post \"/habanero_deploy\", Habanero.HotDeployController, :update\n        end\n\n- Deploy your app, so that the new endpoint is available.\n- Set up the local watcher. We'll configure it to only start in development:\n\n      children =\n        if System.get_env(\"MIX_ENV\", \"dev\") == \"dev\" do\n          children ++\n            [\n              {Habenero.Watcher, [dirs: [\"lib/ /\", \"lib/ _web/\"], latency: 0]}\n            ]\n        else\n          children\n        end\n\n- Now, start your dev server locally, make a change, and see the hot deploy in action 🔥","ref":"getting_started.html"}],"content_type":"text/markdown"}